<%

'**********************************************************************
'	Copyright (c) 2002 Ephox Corporation. All rights reserved.
'**********************************************************************


%>
<SCRIPT LANGUAGE="VBScript" RUNAT="Server">

Class EditLiveForXMLGlobal

	Private m_DownloadDirectory

	Private m_LocalDeployment

	Private m_JREDownloadURL

	Private m_Cookie

	Private m_NotAutoSubmit

	Private m_DebugLevel

	Private m_DisableSystemRequirementsError

	Private m_MinimumJREVersion

	Private m_LoadingMessage

	Public Property Let DownloadingMessage(val)
		m_LoadingMessage = val
	End Property

	Public Property Get DownloadingMessage
		DownloadingMessage = m_LoadingMessage
	End Property

	Public Property Let DownloadDirectory(val)
		m_DownloadDirectory = val
	End Property

	Public Property Let MinimumJREVersion(val)
		m_MinimumJREVersion = val
	End Property

	Public Property Get MinimumJREVersion
		MinimumJREVersion = m_MinimumJREVersion
	End Property

	Public Property Get DownloadDirectory
		DownloadDirectory = m_DownloadDirectory
	End Property

	Public Property Let Cookie(val)
		m_Cookie = val
	End Property

	Public Property Get Cookie
		Cookie = m_Cookie
	End Property

	Public Property Let LocalDeployment(val)
		m_LocalDeployment = val
	End Property

	Public Property Get LocalDeployment
		LocalDeployment = m_LocalDeployment
	End Property

	Public Property Let JREDownloadURL(val)
		m_JREDownloadURL = val
	End Property

	Public Property Get JREDownloadURL
		JREDownloadURL = m_JREDownloadURL
	End Property

	Public Property Let AutoSubmit(val)
		m_NotAutoSubmit =  not val
	End Property

	Public Property Get AutoSubmit
		AutoSubmit = not m_NotAutoSubmit
	End Property

	Public Property Let DebugLevel(val)
		m_DebugLevel = val
	End Property

	Public Property Get DebugLevel
		DebugLevel = m_DebugLevel
	End Property

	Public Property Let ShowSystemRequirementsError(val)
		m_DisableSystemRequirementsError = not val
	End Property

	Public Property Get ShowSystemRequirementsError
		ShowSystemRequirementsError = not m_DisableystemRequirementsError
	End Property

	Public Sub Init()
		Response.Write("<scr" & "ipt src=""" & m_DownloadDirectory & "/editlivexml.js""></scr" & "ipt>" & vbNewLine)
		Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalDownloadDirectory = """ & m_DownloadDirectory & """;</scr" & "ipt>" & vbNewLine)
		Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalDebugLevel = """ & m_DebugLevel & """;</scr" & "ipt>" & vbNewLine)
		Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalLoadingMessage = """ & m_LoadingMessage & """;</scr" &"ipt>" & vbNewLine)

		if strComp(m_MinimumJREVersion,"")<>0 then
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalMinimumJREVersion = """ & m_MinimumJREVersion & """;</scr" & "ipt>" & vbNewLine)
		else
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalMinimumJREVersion = """";</scr" & "ipt>" & vbNewLine)
		end if
		if strComp(m_Cookie,"")<>0 then
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalCookie = " & m_Cookie & ";</scr" & "ipt>" & vbNewLine)
		else
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalCookie = """";</scr" & "ipt>" & vbNewLine)
		end if
		if m_LocalDeployment = false or m_LocalDeployment = "false" then
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalLocalDeployment = false;</scr" & "ipt>" & vbNewLine)
		else
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalLocalDeployment = true;</scr" & "ipt>" & vbNewLine)
		end if
		Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalJREDownloadURL = """ & m_JREDownloadURL & """;</scr" & "ipt>" & vbNewLine)
		if m_NotAutoSubmit = false or m_NotAutoSubmit = "false" then
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalAutoSubmit = true;</scr" & "ipt>" & vbNewLine)
		else
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalAutoSubmit = false;</scr" & "ipt>" & vbNewLine)
		end if

		if m_DisableSystemRequirementsError = false or m_DisableSystemRequirementsError = "false" then
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalShowSystemRequirementsError = true;</scr" & "ipt>" & vbNewLine)
		else
			Response.Write("<scr" & "ipt language=""JavaScript"">EditLiveForXMLGlobalShowSystemRequirementsError = false;</scr" & "ipt>" & vbNewLine)
		end if
	End Sub

End Class

Class EditLiveForXML

	Private m_Height, m_Width, m_Name, m_Styles, m_RedirectPage, m_ConfigurationFile, m_Document
	Private m_Body, m_ConfigurationText, m_ReturnBodyOnly, m_UseWebDAV, m_XSD, m_Locale
	Private m_Preload, m_Head, m_XSLT, ephoxI, m_OutputCharset

	Dim m_Views()

	Private m_ViewCount
	
	Dim m_XSDs()
	
	Private m_XSDCount

	Public Sub AddView(name, value)
		ReDim Preserve m_Views(3, m_ViewCount)
		m_Views(0, m_ViewCount) = name
		m_Views(1, m_ViewCount) = value
		m_Views(2, m_ViewCount) = true
		m_ViewCount = m_ViewCount + 1
	End Sub

	Public Sub AddViewWithString(name, value)
		ReDim Preserve m_Views(3, m_ViewCount)
		m_Views(0, m_ViewCount) = name
		m_Views(1, m_ViewCount) = value
		m_Views(2, m_ViewCount) = false
		m_ViewCount = m_ViewCount + 1
	End Sub
	
	Public Sub AddXSDWithString(value)
		ReDim Preserve m_XSDs(m_XSDCount)
		m_XSDs(m_XSDCount) = value
		m_XSDCount = m_XSDCount + 1
	End Sub

	Public Property Let XSD(val)
		m_XSD = val
	End Property

	Public Property Get XSD
		XSD = m_XSD
	End Property

	Public Property Let Height(val)
		m_Height = val
	End Property

	Public Property Get Height
		Height = m_Height
	End Property

	Public Property Let Name(val)
		m_Name = val
	End Property

	Public Property Get Name
		Name = m_Name
	End Property

	Public Property Let RedirectPage(strURL)
		m_RedirectPage = strURL
	End Property

	Public Property Get RedirectPage
		RedirectPage = m_RedirectPage
	End Property

	Public Property Let OutputCharset(val)
		m_OutputCharset = val
	End Property

	Public Property Get OutputCharset
		Value = m_OutputCharset
	End Property

	Public Property Let Document(val)
		m_Document = val
	End Property

	Public Property Get Document
		Value = m_Document
	End Property

	Public Property Let Width(val)
		m_Width = val
	End Property

	Public Property Get Width
		Width = m_Width
	End Property

	Public Property Let ConfigurationFile(val)
		m_ConfigurationFile = val
	End Property

	Public Property Get ConfigurationFile
		ConfigurationFile = m_ConfigurationFile
	End Property

	Public Property Let ConfigurationText(val)
		m_ConfigurationText = val
	End Property

	Public Property Get ConfigurationText
		ConfigurationText = m_ConfigurationText
	End Property

	Public Property Get UseWebDAV
		UseWebDAV = m_UseWebDAV
	End Property

	Public Property Let UseWebDAV(val)
		m_UseWebDAV = val
	End Property

	Public Property Get Locale
		Locale = m_Locale
	End Property

	Public Property Let Locale(val)
		m_Locale = val
	End Property

	Public Property Get Preload
		Preload = m_Preload
	End Property

	Public Property Let Preload(val)
		m_Preload = val
	End Property

	Public Function Show()
		With Response

			.Write "<scr" & "ipt language=""JavaScript"">" & vbNewLine

			.Write "var " & m_Name & "_js;" & vbNewLine

			.Write m_Name & "_js = new EditLiveXML(""" & m_Name & """, """ & m_Width & """, """ & m_Height & """);" & vbNewLine

			If Not m_ReturnBodyOnly = "" Then
			.Write m_Name &"_js.setReturnBodyOnly(""" & m_ReturnBodyOnly & """);" & vbNewLine
			End If

			If Not m_ConfigurationText = "" Then
			.Write m_Name &"_js.setXML(""" & Server.URLEncode(m_ConfigurationText) & """);" & vbNewLine
			End If

			If Not m_ConfigurationFile = "" Then
				.Write m_Name &"_js.setXMLURL(""" & m_ConfigurationFile & """);" & vbNewLine
			End If

			 If Not m_Document = "" Then
			 	.Write m_Name &"_js.setDocument(""" & Server.URLEncode(m_Document) & """);" & vbNewLine
			 End If
			 
			 If Not m_OutputCharset = "" Then
			 	.Write m_Name & "_js.setOutputCharset(""" & m_OutputCharset & """);" & vbNewLine
			 End If

			 If Not m_Locale = "" Then
			 	.Write m_Name &"_js.setLocale(""" & m_Locale & """);" & vbNewLine
			 End If

			If m_UseWebDAV = true Then
				.Write m_Name & "_js.setUseWebDAV(true);" & vbNewLine
			End If

			If Not m_Preload = "" Then
				.Write m_Name & "_js.setPreload(""" & m_Preload & """);" &vbNewLine
			End If

			If Not m_XSD = "" Then
				.Write m_Name & "_js.setXSD(""" & m_XSD & """);" & vbNewLine
			End If

			For ephoxI = 0 to m_ViewCount - 1
				if m_Views(2, ephoxI) = true then
					.Write m_Name & "_js.addView(""" & m_Views(0, ephoxI) & """, """ & m_Views(1, ephoxI) & """);" & vbNewLine
				else
					.Write m_Name & "_js.addViewAsText(""" & m_Views(0, ephoxI) & """, """ & Server.URLEncode(m_Views(1, ephoxI)) & """);" & vbNewLine
				end if
			Next
			
			For ephoxI = 0 to m_XSDCount - 1
				.Write m_Name & "_js.addXSDAsText(""" & Server.URLEncode(m_XSDs(ephoxI)) & """);" & vbNewLine
			Next


			.Write m_Name &"_js.setDownloadDirectory(EditLiveForXMLGlobalDownloadDirectory);" & vbNewLine

			.Write m_Name &"_js.setLocalDeployment(EditLiveForXMLGlobalLocalDeployment);" & vbNewLine

			.Write "if (EditLiveForXMLGlobalJREDownloadURL != """") {" & vbNewLine
			.Write m_Name & "_js.setJREDownloadURL(EditLiveForXMLGlobalJREDownloadURL);" & vbNewLine
			.Write "}" & vbNewLine

			.Write "if (EditLiveForXMLGlobalMinimumJREVersion != """") {" & vbNewLine
			.Write m_Name &"_js.setMinimumJREVersion(EditLiveForXMLGlobalMinimumJREVersion);" & vbNewLine
			.Write "}" & vbNewLine

			.Write "if (EditLiveForXMLGlobalLoadingMessage != """") {" & vbNewLine
			.Write m_Name &"_js.setDownloadingMessage(EditLiveForXMLGlobalLoadingMessage);" & vbNewLine
			.Write "}" & vbNewLine

			.Write m_Name &"_js.setCookie(escape(EditLiveForXMLGlobalCookie));" & vbNewLine

			.Write m_Name &"_js.setAutoSubmit(EditLiveForXMLGlobalAutoSubmit);" & vbNewLine

			.Write m_Name &"_js.setDebugLevel(EditLiveForXMLGlobalDebugLevel);" & vbNewLine

			.Write m_Name &"_js.setShowSystemRequirementsError(EditLiveForXMLGlobalShowSystemRequirementsError);" & vbNewLine

			.Write m_Name &"_js.show();" & vbNewLine

			.Write "</scr" & "ipt>" & vbNewLine
		End With

	End Function

End Class


</SCRIPT>
